name: fermions-3d
version: '0.1.0.0'
author: David Simmons-Duffin
maintainer: davidsd@gmail.com
license: MIT

ghc-options:
- -Wall
- -Wcompat
- -Wincomplete-record-updates
- -Wincomplete-uni-patterns
- -Wredundant-constraints
- -O2
- -Wunused-packages

library:
  source-dirs: src
  dependencies:
  - base
  - time
  - mtl
  - text
  - binary
  - ghc-prim
  - aeson
  - containers
  - linear
  - exceptions
  - vector
  - matrix-static
  - hyperion
  - hyperion-bootstrap
  - reflection
  - hyperion-static
  - bootstrap-math
  - sdpb-haskell
  - bootstrap-build
  - blocks-core
  - tagged
  - filepath
  - directory
  - rounded
  - split
  - quadratic-net
  - bootstrap-bounds
  - blocks-3d
  - scalars-3d
  - hyperion-config
  extra-libraries: mpfr

executables:
  fermions-3d-exec:
    main: Main.hs
    source-dirs: exec
    dependencies:
    - base
    - fermions-3d
    - hyperion-bootstrap
    - hyperion-config
    ghc-options: [-threaded]
